Subject: product return
From: Kristin Semmens <[email-masked]>
To: [email-masked]
Date: Sun, 3 Aug 2025 13:09:41 -0600

Hi there,

I have purchased many of your products through Amazon for my Airbnb. In May, I purchased 4 Madison Park Down Alternative blankets: two White-Full/Queen, one White-King/CalKing, and one White-Twin.

We didn’t end up needing the products and I didn’t realize the return window through Amazon is only one month for your products.  They are unopened and new condition, and I was wondering if you could please help me return them through you.

I appreciate any help you can offer me as a loyal customer to you.

Thanks  so much,

Kristin Semmens